<?php
/**
 * Sauna Lite: Block Patterns
 *
 * @package Sauna Lite
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'sauna-lite',
		array( 'label' => __( 'Sauna Lite', 'sauna-lite' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'sauna-lite/banner-section',
		array(
			'title'      => __( 'Banner Section', 'sauna-lite' ),
			'categories' => array( 'sauna-lite' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/images/Banner-image.png\",\"id\":3036,\"dimRatio\":50,\"isDark\":false,\"align\":\"full\",\"className\":\"sauna-lite-banner-section\"} -->\n<div class=\"wp-block-cover alignfull is-light sauna-lite-banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-3036\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/images/Banner-image.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"55px\"},\"color\":{\"text\":\"#a1185b\"}}} -->\n<h1 class=\"has-text-align-center has-text-color\" style=\"color:#a1185b;font-size:55px\">Loream ipsum&nbsp;is simply dummy text</h1>\n<!-- /wp:heading -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"align\":\"center\",\"style\":{\"border\":{\"radius\":\"0px\"},\"color\":{\"background\":\"#a1185b\"}},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size has-small-font-size\"><a class=\"wp-block-button__link has-background\" style=\"border-radius:0px;background-color:#a1185b\">LEARN MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'sauna-lite/services-section',
		array(
			'title'      => __( 'Services Section', 'sauna-lite' ),
			'categories' => array( 'sauna-lite' ),
			'content'    => "<!-- wp:group {\"className\":\"sauna-lite-service-section\"} -->\n<div class=\"wp-block-group sauna-lite-service-section\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"50px\"}},\"className\":\"pt-5\"} -->\n<h2 class=\"has-text-align-center pt-5\" style=\"font-size:50px\">Our Services</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":3072,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"pb-3\"} -->\n<figure class=\"wp-block-image aligncenter size-full pb-3\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/heading-boder.png\" alt=\"\" class=\"wp-image-3072\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\".sauna-lite-service-title\"} -->\n<div class=\"wp-block-column .sauna-lite-service-title\"><!-- wp:image {\"align\":\"center\",\"id\":3054,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/service-icon1.png\" alt=\"\" class=\"wp-image-3054\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"}}} -->\n<h3 class=\"has-text-align-center\" style=\"font-size:16px\">SERVICE TITLE 1</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">&nbsp;Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\".sauna-lite-service-title\"} -->\n<div class=\"wp-block-column .sauna-lite-service-title\"><!-- wp:image {\"align\":\"center\",\"id\":3067,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/service-icon2.png\" alt=\"\" class=\"wp-image-3067\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"}}} -->\n<h3 class=\"has-text-align-center\" style=\"font-size:16px\">SERVICE TITLE 2</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">&nbsp;Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\".sauna-lite-service-title\"} -->\n<div class=\"wp-block-column .sauna-lite-service-title\"><!-- wp:image {\"align\":\"center\",\"id\":3068,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/service-icon3.png\" alt=\"\" class=\"wp-image-3068\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"16px\"}}} -->\n<h3 class=\"has-text-align-center\" style=\"font-size:16px\">SERVICE TITLE 3</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">&nbsp;Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}