<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package Sauna Lite
 */
get_header(); ?>

<main id="main" role="main" class="middle-align py-3">
    <div class="container">
        <?php
        $sauna_lite_left_right = get_theme_mod( 'sauna_lite_theme_options','Right Sidebar');
        if($sauna_lite_left_right == 'Left Sidebar'){ ?>
            <div class="row">
                <div class="col-lg-4 col-md-4"><?php get_sidebar(); ?></div>
                <div id="our-services" class="services  col-lg-8 col-md-8">
                    <h1 class="search-title"><?php /* translators: %s: search term */ printf(esc_html('Search Results for: %s','sauna-lite'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'top' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                    <?php if ( have_posts() ) :
                        /* Start the Loop */
                          
                        while ( have_posts() ) : the_post();

                            get_template_part( 'template-parts/content', get_post_format() ); 
                          
                        endwhile;

                        else :

                            get_template_part( 'no-results' ); 

                        endif; 
                    ?>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'bottom' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                </div>
            </div>
            <div class="clearfix"></div>
        <?php }else if($sauna_lite_left_right == 'Right Sidebar'){ ?>
            <div class="row">
                <div id="our-services" class="services col-lg-8 col-md-8">
                    <h1 class="search-title"><?php /* translators: %s: search term */ printf(esc_html('Search Results for: %s','sauna-lite'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'top' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                    <?php if ( have_posts() ) :
                        /* Start the Loop */
                          
                        while ( have_posts() ) : the_post();

                            get_template_part( 'template-parts/content', get_post_format() ); 
                          
                        endwhile;

                        else :

                            get_template_part( 'no-results' ); 

                        endif; 
                    ?>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'bottom' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                </div>
                <div class="col-lg-4 col-md-4"><?php get_sidebar(); ?></div>
            </div>
        <?php }else if($sauna_lite_left_right == 'One Column'){ ?>
            <div id="our-services" class="services col-lg-12">
                <h1 class="search-title"><?php /* translators: %s: search term */ printf(esc_html('Search Results for: %s','sauna-lite'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                    <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'top' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                        <div class="navigation my-3">
                            <?php sauna_lite_post_navigation();?>
                            <div class="clearfix"></div>
                        </div>
                    <?php }?>
                <?php }?>
                <?php if ( have_posts() ) :
                    /* Start the Loop */
                      
                    while ( have_posts() ) : the_post();

                        get_template_part( 'template-parts/content', get_post_format() ); 
                      
                    endwhile;

                    else :

                        get_template_part( 'no-results' ); 

                    endif; 
                ?>
                <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                    <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'bottom' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                        <div class="navigation my-3">
                            <?php sauna_lite_post_navigation();?>
                            <div class="clearfix"></div>
                        </div>
                    <?php }?>
                <?php }?>
            </div>
        <?php }else if($sauna_lite_left_right == 'Three Columns'){ ?>
            <div class="row">
                <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-1'); ?></div>
                <div id="our-services" class="services col-lg-6 col-md-6">
                    <h1 class="search-title"><?php /* translators: %s: search term */ printf(esc_html('Search Results for: %s','sauna-lite'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'top' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                    <?php if ( have_posts() ) :
                        /* Start the Loop */
                          
                        while ( have_posts() ) : the_post();

                            get_template_part( 'template-parts/content', get_post_format() ); 
                          
                        endwhile;

                        else :

                            get_template_part( 'no-results' ); 

                        endif; 
                    ?>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'bottom' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                </div>
                <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-2'); ?></div>
            </div>
        <?php }else if($sauna_lite_left_right == 'Four Columns'){ ?>
            <div class="row">
                <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-1'); ?></div>
                <div id="our-services" class="services col-lg-3 col-md-3">
                    <h1 class="search-title"><?php /* translators: %s: search term */ printf(esc_html('Search Results for: %s','sauna-lite'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'top' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                    <?php if ( have_posts() ) :
                        /* Start the Loop */
                          
                        while ( have_posts() ) : the_post();

                            get_template_part( 'template-parts/content', get_post_format() ); 
                          
                        endwhile;

                        else :

                            get_template_part( 'no-results' ); 

                        endif; 
                    ?>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'bottom' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                </div>
                <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-2'); ?></div>
                <div id="sidebar" class="col-lg-3 col-md-3"><?php dynamic_sidebar('sidebar-2'); ?></div>
            </div>
        <?php }else if($sauna_lite_left_right == 'Grid Layout'){ ?>
            <div class="row">
                <div id="our-services" class="services col-lg-8 col-md-8">
                    <h1 class="entry-title"><?php printf( 'Results For: %s', '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1><h1 class="search-title"><?php /* translators: %s: search term */ printf(esc_html('Search Results for: %s','sauna-lite'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'top' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                    <div class="row">
                        <?php if ( have_posts() ) :
                            /* Start the Loop */
                              
                            while ( have_posts() ) : the_post();

                                get_template_part( 'template-parts/grid-layout' ); 
                              
                            endwhile;

                            else :

                                get_template_part( 'no-results' ); 

                            endif; 
                        ?>
                    </div>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'bottom' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                </div>
                <div id="sidebar" class="col-lg-4 col-md-4"><?php dynamic_sidebar('sidebar-1'); ?></div>
            </div>
        <?php }else{ ?>
            <div class="row">
                <div id="our-services" class="services col-lg-8 col-md-8">
                    <h1 class="search-title"><?php /* translators: %s: search term */ printf(esc_html('Search Results for: %s','sauna-lite'), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'top' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                    <?php if ( have_posts() ) :
                        /* Start the Loop */
                          
                        while ( have_posts() ) : the_post();

                            get_template_part( 'template-parts/content', get_post_format() ); 
                          
                        endwhile;

                        else :

                            get_template_part( 'no-results' ); 

                        endif; 
                    ?>
                    <?php if( get_theme_mod( 'sauna_lite_navigation_hide',true) != '') { ?>
                        <?php if( get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'bottom' || get_theme_mod( 'sauna_lite_post_navigation_position','bottom') == 'both')  { ?>
                            <div class="navigation my-3">
                                <?php sauna_lite_post_navigation();?>
                                <div class="clearfix"></div>
                            </div>
                        <?php }?>
                    <?php }?>
                </div>
                <div class="col-lg-4 col-md-4"><?php get_sidebar(); ?></div>
            </div>
        <?php } ?>
    </div>
</main>

<?php get_footer(); ?>